Bug 1544406 - [abrt] lxpanel: strncmp(): lxpanel killed by SIGSEGV
Summary: [abrt] lxpanel: strncmp(): lxpanel killed by SIGSEGV
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxpanel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ef3c807ee2a088b89ac68f04b35...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-12 11:45 UTC by mastaiza
Modified: 2018-03-02 18:24 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-16 08:19:45 UTC


Attachments (Terms of Use)
File: backtrace (74.65 KB, text/plain)
2018-02-12 11:45 UTC, mastaiza
no flags Details
File: cgroup (289 bytes, text/plain)
2018-02-12 11:45 UTC, mastaiza
no flags Details
File: core_backtrace (13.57 KB, text/plain)
2018-02-12 11:45 UTC, mastaiza
no flags Details
File: cpuinfo (1.23 KB, text/plain)
2018-02-12 11:45 UTC, mastaiza
no flags Details
File: dso_list (11.72 KB, text/plain)
2018-02-12 11:45 UTC, mastaiza
no flags Details
File: environ (1.34 KB, text/plain)
2018-02-12 11:45 UTC, mastaiza
no flags Details
File: limits (1.29 KB, text/plain)
2018-02-12 11:45 UTC, mastaiza
no flags Details
File: maps (57.72 KB, text/plain)
2018-02-12 11:45 UTC, mastaiza
no flags Details
File: mountinfo (3.44 KB, text/plain)
2018-02-12 11:45 UTC, mastaiza
no flags Details
File: open_fds (2.41 KB, text/plain)
2018-02-12 11:45 UTC, mastaiza
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-02-12 11:45 UTC, mastaiza
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2018-02-12 11:45 UTC, mastaiza
no flags Details

Description mastaiza 2018-02-12 11:45:22 UTC
Description of problem:
when you change the color in the resource monitoring applet, the panel drops

Version-Release number of selected component:
lxpanel-0.9.3-3.D20180109git2ddf8dfc.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        lxpanel --profile LXDE
crash_function: strncmp
executable:     /usr/bin/lxpanel
journald_cursor: s=8839ac7f22ff41ae92564b20c35cc20f;i=42175;b=32c80a606c2e42fb8466a6ff469cf5b6;m=1f1e905ee;t=565025460a901;x=b69d34203950fc26
kernel:         4.14.16-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 mastaiza 2018-02-12 11:45:28 UTC
Created attachment 1394872 [details]
File: backtrace

Comment 2 mastaiza 2018-02-12 11:45:29 UTC
Created attachment 1394873 [details]
File: cgroup

Comment 3 mastaiza 2018-02-12 11:45:31 UTC
Created attachment 1394874 [details]
File: core_backtrace

Comment 4 mastaiza 2018-02-12 11:45:33 UTC
Created attachment 1394875 [details]
File: cpuinfo

Comment 5 mastaiza 2018-02-12 11:45:35 UTC
Created attachment 1394876 [details]
File: dso_list

Comment 6 mastaiza 2018-02-12 11:45:36 UTC
Created attachment 1394877 [details]
File: environ

Comment 7 mastaiza 2018-02-12 11:45:38 UTC
Created attachment 1394878 [details]
File: limits

Comment 8 mastaiza 2018-02-12 11:45:40 UTC
Created attachment 1394879 [details]
File: maps

Comment 9 mastaiza 2018-02-12 11:45:42 UTC
Created attachment 1394880 [details]
File: mountinfo

Comment 10 mastaiza 2018-02-12 11:45:43 UTC
Created attachment 1394881 [details]
File: open_fds

Comment 11 mastaiza 2018-02-12 11:45:45 UTC
Created attachment 1394882 [details]
File: proc_pid_status

Comment 12 mastaiza 2018-02-12 11:45:47 UTC
Created attachment 1394883 [details]
File: exploitable

Comment 13 Mamoru TASAKA 2018-02-12 12:08:15 UTC
Would you describe the situation more specific? (would you write in detail how you can reproduce the issue)

- What "monitors" did you toggle on? (did you toggle CPU usage on? and for memory usage?)
- Would you write in detail how you changed the color (from what color to what color)?

Comment 14 mastaiza 2018-02-12 14:05:25 UTC
open the settings applet resource monitoring to change the color of the CPU and the panel falls . 
when installing any color. 
I have a color #FF00D8

Comment 15 mastaiza 2018-02-12 14:10:56 UTC
the panel drops when you try to paste a color from the clipboard

Comment 16 Mamoru TASAKA 2018-02-12 14:13:38 UTC
Would you take a movie if possible?

Comment 17 mastaiza 2018-02-12 14:17:58 UTC
ok

Comment 19 Mamoru TASAKA 2018-02-12 22:57:02 UTC
(In reply to mastaiza from comment #18)
> https://photos.google.com/photo/AF1QipNGYouZOFYMRt9BhzJQcRmT8J-cXhzrWHYU_VsO

Well, it seems this returns 404...

Comment 20 Mamoru TASAKA 2018-02-13 12:46:35 UTC
Still 404. Would you check the link? I would like to fix this bug (if possible), thank you.

Comment 21 mastaiza 2018-02-13 14:13:46 UTC
download video
https://yadi.sk/i/BYV1hZHo3SMeCC

Comment 22 Mamoru TASAKA 2018-02-13 15:27:40 UTC
Okay, thank you for video.

... Unfortunately still I am unable to reproduce the issue you see exactly. However I see some segv reproducer, which is not exactly the same as your issue but I believe is almost the same as your issue.

And I hope that the following trial scratch build resolves the issue you see. Would you try the below? (build is actually for f27)

https://koji.fedoraproject.org/koji/taskinfo?taskID=25005145

Comment 23 mastaiza 2018-02-14 07:57:15 UTC
all is working well . panel does not drop

Comment 24 Mamoru TASAKA 2018-02-14 10:05:19 UTC
Okay, thank you for confirmation! I will submit update request later.

Comment 25 Fedora Update System 2018-02-14 15:15:47 UTC
lxpanel-0.9.3-4.D20180109git2ddf8dfc.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a17274733

Comment 26 Fedora Update System 2018-02-14 15:16:12 UTC
lxpanel-0.9.3-4.D20180109git2ddf8dfc.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6fe397a796

Comment 27 Fedora Update System 2018-02-14 17:59:08 UTC
lxpanel-0.9.3-4.D20180109git2ddf8dfc.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6fe397a796

Comment 28 Fedora Update System 2018-02-14 18:28:58 UTC
lxpanel-0.9.3-4.D20180109git2ddf8dfc.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a17274733

Comment 29 Fedora Update System 2018-02-15 16:47:01 UTC
lxpanel-0.9.3-4.D20180109git2ddf8dfc.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Mamoru TASAKA 2018-02-16 08:19:45 UTC
Pushed. Thank you for report.

Comment 31 Fedora Update System 2018-03-02 18:24:02 UTC
lxpanel-0.9.3-4.D20180109git2ddf8dfc.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.